package com.casic.br.view

import com.casic.br.R
import com.casic.br.extensions.initLayoutImmersionBar
import com.gyf.immersionbar.ImmersionBar
import com.pengxh.kt.lite.base.KotlinBaseActivity
import com.pengxh.kt.lite.extensions.navigatePageTo
import com.pengxh.kt.lite.utils.PageNavigationManager
import kotlinx.android.synthetic.main.activity_add_device_result.*

class AddDeviceResultActivity : KotlinBaseActivity() {

    override fun initLayoutView(): Int = R.layout.activity_add_device_result

    override fun observeRequestState() {

    }

    override fun setupTopBarLayout() {
        ImmersionBar.with(this).statusBarDarkFont(true).init()
        initLayoutImmersionBar(rootView)
        leftBackView.setOnClickListener { finish() }
    }

    override fun initData() {

    }

    override fun initEvent() {
        completeButton.setOnClickListener {
            navigatePageTo<MainActivity>()
            PageNavigationManager.finishAllActivity()
        }
    }
}